Subject: RE: [Simple] MSRP: DSN lifetime open issue

From: Eric Burger <[email-masked]>
Date: Thu, 1 Jul 2004 11:40:21 -0400

I would humbly beg to differ that IM/MSRP has different expectations than
SMS.

The whole point (originally) was that IM was to *replace* SMS.  Carriers and
users don't care that SMS is a relay service (SMPP anyone?) and IM could be
point-to-point.  Is there anyone that is implementing SIP MESSAGE that
doesn't also to store-and-forward?

If you think that IM will not replace SMS, why are we bothering?  SMS, from
a user perspective, would be infinitely more useful if IM doesn't, *in
practice*, have comparable features.  Note that I did not say that IM
necessarily has to work the same as SMS.  Note too that making it work the
same is NOT a protocol issue -- it is an implementation issue.  PLEASE feel
free to not do this -- that will leave more room in the market :)

> -----Original Message-----
> From: Andrew Allen [mailto:[email-masked]]
> Sent: Friday, May 28, 2004 2:18 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [Simple] MSRP: DSN lifetime open issue
> 
> 
> 
> MSRP and SIP Message method are not inherrently store and 
> forward like SMS and MMS.
> 
> This is recognised by 3GPP (the body that produces 
> specifcations for GSM and UMTS) who have defined SIP message 
> method as immediate messaging and MSRP as session-based 
> messaging wheras SMS, MMS and email are in another category - 
> deferred messaging. 
> 
> SIP message method could be stored by an application server 
> and forwarded later as could MSRP - but in their basic 
> operation the are end-end message primitives and not a store 
> and forward service like SMS
> --------------------------
> Andrew Allen
> Manager Standards
> Research In Motion Ltd
> BlackBerry Mobile  +1 847 809 8636
> European Mobile    +358 50 467 5870
> http://www.rim.com/
> 
> Sent from my BlackBerry Wireless Handheld
> 
> 
> -----Original Message-----
> From: [email-masked] <[email-masked]>
> To: SIMPLE WG <[email-masked]>
> Sent: Thu May 27 11:19:01 2004
> Subject: RE: [Simple] MSRP: DSN lifetime open issue
> 
> [snip]
> 
> All,
> 
> Just to give an example, London has a "Congestion Charge" 
> which is a fixed
> fee, payable per day I drive into London (never in my case) 
> charge.  This
> can be paid by sending an SMS message to the "bill collectors".
> 
> Now SMS is unreliable, despite what many people assume, and 
> I, for one,
> would like a record that I tried to send this message because 
> if I don't pay
> on time (let's say my message is lost) then I am fined - heavily!
> 
> So I clearly feel that any SMS-like SIP service should provide the
> capability to store sent messages for later recall.
> 
> Paul DS
> 
> Paul D.Smith
> Network Protocols Group 
> Data Connection Ltd (DCL)
> Tel: +44 20 8366 1177  Email: [email-masked] 
> Fax: +44 20 8363 1039  Web:   http://www.dataconnection.com
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 
> 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple